| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celStabiliserFunction Class Reference

A function object where the returned force will be applied to an object upwards. More...

`#include <tools/stabiliser_dist.h>`

Inheritance diagram for celStabiliserFunction:

[legend]
List of all members.

## Public Member Functions
virtual float | Force (celHoverObjectInfo obj_info)=0
| The force upwards to apply.
virtual | ~celStabiliserFunction ()

## Detailed Description

A function object where the returned force will be applied to an object upwards.

along world axis.

Definition at line 54 of file stabiliser_dist.h.

## Member Function Documentation

virtual float celStabiliserFunction::Force | ( | celHoverObjectInfo | obj_info | ) | `[pure virtual]`

| The force upwards to apply. Implemented in celDefaultHoverUpthruster.

The documentation for this class was generated from the following file:

- tools/stabiliser_dist.h